httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Igor Galić <i.ga...@brainsware.org>
Subject Re: Compiling httpd with older apr
Date Mon, 06 Dec 2010 17:44:54 GMT

----- "Mark Watts" <m.watts@eris.qinetiq.com> wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> 
> Hi,
> 
> Can someone enlighten me as to any issues that may arise due to
> compiling a modern httpd (2.2.17) with an older apr/apr-util (1.2.7)?

It's only since 2.3+ that apr 1.2 is no longer supported.

> I've built http 2.2.17 (Fedora 14 SRPM) on a CentOS 5.5 box, and its
> build cleanly but I'm not sure if I'm missing functionality by not
> having a more recent apr.

If it turns out to be an impediment and all else fails, you can still
modify the .spec to use --with-included-apr

> Regards,
> 
> Mark.
> 
> - -- 
> Mark Watts BSc RHCE
> Senior Systems Engineer, Secure Managed Hosting
> www.QinetiQ.com
> QinetiQ - Delivering customer-focused solutions
> GPG Key: http://www.linux-corner.info/mwatts.gpg
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.11 (GNU/Linux)
> Comment: Using GnuPG with Fedora - http://enigmail.mozdev.org/
> 
> iEYEARECAAYFAkz8z34ACgkQBn4EFUVUIO2ZeACgiXuimBZDHLnAVm5yQzlW+M/m
> bPAAnAwz1FcK05C4wDDCm3tr8YMX6buI
> =28SL
> -----END PGP SIGNATURE-----

i

-- 
Igor Galić

Tel: +43 (0) 664 886 22 883
Mail: i.galic@brainsware.org
URL: http://brainsware.org/

Mime
View raw message